Subject: Re: [PATCH v2 net-next] pkt_sched: fq: Fair Queue packet scheduler

From: Jason Wang <[email-masked]>
Date: Thu, 05 Sep 2013 11:07:41 +0800

On 09/04/2013 06:30 PM, Eric Dumazet wrote:
> On Wed, 2013-09-04 at 14:30 +0800, Jason Wang wrote:
>
>>> And tcpdump would certainly help ;)
>> See attachment.
>>
> Nothing obvious on tcpdump (only that lot of frames are missing)
>
> 1) Are you capturing part of the payload only (like tcpdump -s 128)

No, I use something like tcpdump -i eth0 -w fq -c 300 after the netperf
start.
> 2) What is the setup.

Tow kvm guest with virtio-net and vhost enabled. Only one queue is
enabled and the guest were connected with bridge. Both host and guest
were net-next.git
> 3) tc -s -d qdisc

tc -s -d qdisc
qdisc fq 8001: dev eth0 root refcnt 2 [Unknown qdisc, optlen=64]
 Sent 6680760347 bytes 4431855 pkt (dropped 0, overlimits 0 requeues 0)
 backlog 0b 0p requeues 0

btw, is the fq support for tc merged into iproute2? Looks like I can't
find them.